FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112141153.p0.gd71faa4.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.gd71faa4.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=d71faa4 OS_GIT_VERSION=4.8.0-202112141153.p0.gd71faa4.assembly.stream-d71faa4 SOURCE_DATE_EPOCH=1637253497 SOURCE_GIT_COMMIT=d71faa48b34b77459f0d57659cb19a192903132c SOURCE_GIT_TAG=d71faa48 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
WORKDIR /go/src/github.com/openshift/ptp-operator/must-gather
COPY . .

FROM openshift/ose-base:v4.8.0.20211214.120549
ENV __doozer=update BUILD_RELEASE=202112141153.p0.gd71faa4.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112141153.p0.gd71faa4.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=d71faa4 OS_GIT_VERSION=4.8.0-202112141153.p0.gd71faa4.assembly.stream-d71faa4 SOURCE_DATE_EPOCH=1637253497 SOURCE_GIT_COMMIT=d71faa48b34b77459f0d57659cb19a192903132c SOURCE_GIT_TAG=d71faa48 SOURCE_GIT_URL=https://github.com/openshift/ptp-operator 
COPY --from=builder /go/src/github.com/openshift/ptp-operator/must-gather/collection-scripts/* /usr/bin/
RUN chmod +x /usr/bin/gather

ENTRYPOINT /usr/bin/gather

LABEL \
        io.k8s.display-name="ptp-operator-must-gather" \
        io.k8s.description="This is a PTP must-gather image that collectes PTP operator related resources." \
        name="openshift/ose-ptp-operator-must-gather" \
        com.redhat.component="ptp-operator-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="ptp" \
        release="202112141153.p0.gd71faa4.assembly.stream" \
        io.openshift.build.commit.id="d71faa48b34b77459f0d57659cb19a192903132c" \
        io.openshift.build.source-location="https://github.com/openshift/ptp-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/ptp-operator/commit/d71faa48b34b77459f0d57659cb19a192903132c" \
        version="v4.8.0"

